/*******************************************************************************\
|																				|
|	HToggleRadioButton.h 1996-1997 John C. Daub. All rights reserved.			|
|	See the file "HToggleRadioButton README" for full details, instructions,	|
|	changes, licensing agreement, etc.  Due to the important information		|
|	included in that file, if you did not receive a copy of it, please contact	|
|	the author for a copy.														|
|																				|
|	John C. Daub <mailto:hsoi@eden.com>											|
|	<http://www.eden.com/~hsoi/>  <http://www.eden.com/~hsoi/prog.html>			|
|																				|
\*******************************************************************************/

#ifndef _H_HToggleRadioButton
#define _H_HToggleRadioButton
#pragma once

#if defined(__CFM68K__) && !defined(__USING_STATIC_LIBS__)
	#pragma import on
#endif

#include <PP_Prefix.h>
#include <LToggleButton.h>

class HToggleRadioButton : public LToggleButton {

public:
	
		enum { class_ID = 'Htgb' };

	#if ( __PowerPlant__ < 0x01608000 ) // version 1.6/CW11		
		static HToggleRadioButton*		CreateFromStream( LStream *inStream );
	#endif
		
								HToggleRadioButton();
								HToggleRadioButton(
									const SPaneInfo	&inPaneInfo,
									MessageT		inClickedMessage,
									OSType			inGraphicsType,
									ResIDT			inOnID,
									ResIDT			inOnClickID,
									ResIDT			inOffID,
									ResIDT			inOffClickID,
									ResIDT			inTransitionID);
								HToggleRadioButton( LStream *inStream );

		virtual					~HToggleRadioButton();
		
		virtual	void			SetValue( Int32 inValue );

protected:
	
		virtual void			HotSpotResult( Int16 inHotSpotResult );

private:

			// defensive programming. LToggleButton has no copy ctor, so we'll
			// protect against it.
								HToggleRadioButton( const HToggleRadioButton &inOriginal );
		HToggleRadioButton&		operator=(const HToggleRadioButton &inOriginal);
									

};

#if defined(__CFM68K__) && !defined(__USING_STATIC_LIBS__)
	#pragma import reset
#endif

#endif // #ifndef _H_HToggleRadioButton