/* ============================================================================	*/
/*	LBalloonTracker.r					   1996 CS&T Inc. All rights reserved.	*/
/* ============================================================================	*/
/*																				*/
/*	LBalloonTracker implements Balloon Help for PowerPlant view hierarchies.	*/

#ifndef _R_LBalloonTracker
#define _R_LBalloonTracker

#include "BalloonTypes.r"


type 'PPbl' {
	
	integer kCurrentVersion = 2;		/* Current Version # of resource		*/
	longint;							/* Options								*/
	integer;							/* Balloon ProcID						*/
	integer; 							/* Balloon variant						*/
	
	/* array of help data records, keyed on their corresponding pane's ID		*/
	
	integer = $$CountOf(HPaneArray);	/* Count of HPaneArray items			*/
	
	array HPaneArray
	{
paneArrayBeg:
		
		integer = (paneArrayEnd[$$ArrayIndex(HPaneArray)] - paneArrayBeg[$$ArrayIndex(HPaneArray)]) / 8;			
		
		literal longint;				/* Pane ID								*/

		switch
		{
		case HMStringItem:
			key int = HMStringItemID;	/* helpType								*/
			pstring;					/* Enabled pane message string			*/
			pstring;					/* Disabled pane message string			*/
			pstring;					/* Checked pane message string			*/
			pstring;					/* other pane message string			*/
			align word;					/* always word align the code			*/
			
		case HMPictItem:
			key int = HMPictItemID;		/* helpType								*/
			integer;					/* Enabled pane message 'PICT' res ID	*/
			integer;					/* Disabled pane message 'PICT' res ID	*/
			integer;					/* Checked pane message 'PICT' res ID	*/
			integer;					/* other pane message 'PICT' res ID		*/	
			
		case HMStringResItem:
			key int = HMStringResItemID;/* helpType								*/
			integer; integer;			/* Enabled 'STR#' res ID, index #		*/
			integer; integer;			/* Disabled 'STR#' res ID, index #		*/
			integer; integer;			/* Checked 'STR#' res ID, index #		*/
			integer; integer;			/* other 'STR#' res ID, index #			*/
			
		case HMTEResItem:
			key int = HMTEResItemID;	/* helpType								*/
			integer;					/* Enabled pane message 'TEXT' res ID	*/
			integer;					/* Disabled pane message 'TEXT' res ID	*/
			integer;					/* Checked pane message 'TEXT' res ID	*/
			integer;					/* other pane message 'TEXT' res ID		*/	
			
		case HMSTRResItem:
			key int = HMSTRResItemID;	/* helpType								*/
			integer;					/* Enabled pane message 'STR ' res ID	*/
			integer;					/* Disabled pane message 'STR ' res ID	*/
			integer;					/* Checked pane message 'STR ' res ID	*/
			integer;					/* other pane message 'STR ' res ID		*/	
		};

paneArrayEnd:
	};
};

#endif	/* _R_LBalloonTracker */
