// ===========================================================================
//	File:					LEnhancedCicnButton.cp
//  Version:			1.0 - Feb 08,1996
//	Author:				Mike Shields (mshields@inconnect.com)
//
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//	LEnhancedIconPane.cp			<- double-click + Command-D to see class definition
//
//
// LEnhancedCicnButton is an enhancement to the PP supplied LCicnButton Class.
// This subclass will cause the button to appear disabled when the button is 
// actually disabled using Disable(). The normal LCicnButton does not take the 
// Enabled status into account when it is drawing the graphic.
//
#pragma once

#include <LCicnButton.h>

class	LEnhancedCicnButton : public LCicnButton 
{
public:
	enum { class_ID = 'Ecin' };
	static LEnhancedCicnButton*	
				CreateFromStream(LStream *inStream);
	
				LEnhancedCicnButton();
				LEnhancedCicnButton(const LEnhancedCicnButton &inOriginal);
				LEnhancedCicnButton(const SPaneInfo &inPaneInfo, MessageT inClickedMessage,
											ResIDT inNormalID, ResIDT inPushedID);
				LEnhancedCicnButton(LStream *inStream);
	virtual	~LEnhancedCicnButton();
	
protected:
	void		DrawSelf();	
};
