// ===========================================================================
//	File:					LEnhancedIconPane.h
//  Version:				1.0 - Feb 08,1996
//	Author:					Mike Shields (mshields@inconnect.com)
//
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//	LEnhancedIconPane.cp			<- double-click + Command-D to see class definition
//
//
// LEnhancedIconPane is an enhancement to the PP supplied LIconPane Class. This
// subclass give the user the ability to specify all of the parameters in the call
// to PlotIconID. Namely the alignment, label and selection property.
//
// Note: For more info on the PlotIconID calls see TN QD 18 - 
// Drawing Icons the System 7 Way
//
#pragma once

#include <LIconPane.h>

class LStream;

class LEnhancedIconPane : public LIconPane 
{
	public:
		enum { class_ID = 'Eicn' };
		static LEnhancedIconPane*	CreateFromStream(LStream *inStream);
				
							LEnhancedIconPane(void);						// default constructor
							LEnhancedIconPane(const LEnhancedIconPane &inOriginal);	// copy costructor
							LEnhancedIconPane(const SPaneInfo &inPaneInfo,
											ResIDT inIconID, Int16 inAlignment, 
											Int16 inState, Int16 inLabel);		// build on the fly
							LEnhancedIconPane(LStream *inStream);			// build from resource
		virtual				~LEnhancedIconPane(void);
		
							// Set both the icon's type and ID in one swoop.
							// set/get the alignment of the drawn icon in the pane
		virtual Int16		GetAlignment(void) const;
		virtual void 		SetAlignment(Int16 inAlignment);
		
							// set/get the state of the drawn icon in the pane
		virtual Int16		GetIconState(void) const;
		virtual void 		SetIconState(Int16 inIconState);
		
							// set/get the label of the drawn icon in the pane
		virtual Int16		GetIconLabel(void) const;
		virtual void		SetIconLabel(Int16 inIconLabel);

	protected:
		Int16				mAlignment;
		Int16				mState;
		Int16				mLabel;
		
		virtual void		DrawSelf();
};
