/********************************************************************************\
 LHiResPrintout - A subclass of LPrintout that prints at the printer's resolution
 Dan Crevier - 6/19/97 <mailto:Dan.Crevier@pobox.com>
 
 Use an LHiResPrinter instaed of LPrintout, and then call SetMaxResolution to
 print at the printer's maximum resolution.
 
 You can use GetResolution to get the printer's resolution in DPI
 
 You will probably need to move and resize the contained views to reflect the
 resolution change. One way to do this is with my LProportionalSizer class,
 released separately to the PP archives
 
 Note: text will not be automatically be resized. I've included an LHiResCaption
 class for captions that will resize the text when enclosed in a LHiResPrintout

 This code is based on something Greg Payne did for TCL
 Thanks to John C. Daub for lots of useful suggestions
 
\********************************************************************************/

#ifndef _H_LHiResPrintout
#define _H_LHiResPrintout
#pragma once

#if defined(__CFM68K__) && !defined(__USING_STATIC_LIBS__)
	#pragma import on
#endif

#include <LPrintout.h>

class	LHiResPrintout : public LPrintout {
public:
	enum { class_ID = 'HRpo' };
	static LHiResPrintout*	CreatePrintout(ResIDT inPrintoutID);
	
						LHiResPrintout();
						LHiResPrintout(THPrint inPrintRecordH);
						LHiResPrintout(LStream *inStream);
	
	Int16				GetResolution(void) { return mDPI; };
	void				SetMaxResolution(void);
	
protected:
	Int16				mDPI;
};

#endif