//**************************************************************************************
// Filename:	LProportionalSizer.cp
// Copyright  1997 Dan Crevier. All rights reserved.
// <mailto:Dan.Crevier@pobox.com>
//
// Description:	
//	When this view is resized, it resizes all its subview proportionally, as if the
//  view is zoomed, or shrunk
//  To use it, make it as large as its enclosing view, with all of the frame bindings
//    turned on.  Then put panes into the LProportionalSizer, and they will be resized
//    when the superview is resized
//  It was written for use with my LHiResPrintout class, but I'm sure there are other
//    uses
//**************************************************************************************
// Revision History:
// Monday, June 30, 1997 - Original
//**************************************************************************************

#ifndef _H_LProportionalSizer
#define __H_LProportionalSizer
#pragma once

#if defined(__CFM68K__) && !defined(__USING_STATIC_LIBS__)
	#pragma import on
#endif

#include <LView.h>

class LProportionalSizer: public LView
{
	public:
	// Public Enums and Constants
		enum { class_ID = 'prSz' };
	
	// Public Functions

		//Default Constructor
							LProportionalSizer();
		// Note: Add non-stream constructors here
		
		// Stream Constructor 
							LProportionalSizer( LStream *inStream );
		//Destructor
		virtual				~LProportionalSizer();

		virtual void		ResizeFrameBy(
									Int16				inWidthDelta,
									Int16				inHeightDelta,
									Boolean				inRefresh);
								
		
	private:
	// Member Variables and Classes
	
	
	// Private Functions
		// Defensive programming. No  operator=
		LProportionalSizer&			operator=(const LProportionalSizer&);
		// Copy Constructor
							LProportionalSizer(const LProportionalSizer& inLProportionalSizer);
};

#endif