// ===========================================================================
//	File:						CMPDAGAIndexTab.h
// Version:					1.0 - Aug 19, 1996
//	Author:					Mike Shields (mshields@inconnect.com)
//							
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//	CMPDAGAIndexTab.cp		<- double-click + Command-D to see class definition
//
// A subclass of LAGAIndexTab which has been adapted to work with the MPD classes.

#pragma once

#include "CMPDPanelSelectControl.h"
#include "LAGAIndexTab.h"

class LStream;
class LStr255;

class CMPDAGAIndexTab : public CMPDPanelSelectControl, 
								public LAGAIndexTab
{
public:
	enum				{ class_ID = 'MPDg' };
	static CMPDAGAIndexTab*	CreateFromStream(LStream* inStream);
	
									CMPDAGAIndexTab(LStream* inStream);
	virtual						~CMPDAGAIndexTab();
	
	// CMPDPanelSelectControl overides
	virtual void				InsertPanelIDs(MPDPtr inPanelIDData);
	virtual void				SelectPanelID(PanelIDIndexT inPanelID);
	
protected:
	// CMPDPanelSelectControl overides
	virtual PanelIDIndexT	GetCurrentPanelID(void) const;
	
	// LAGAIndexTab overides
	virtual void 				AdaptTab(Boolean inRefresh = true);
};
