// ===========================================================================
//	File:						CMPDGrayCouncilTabs.h
// Version:					1.0 - Sept 9, 1996
//	Author:					Mike Shields (mshields@inconnect.com)
//							
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//	CMPDGrayCouncilTabs.cp		<- double-click + Command-D to see class definition
//
// A subclasses of AGATabPanelPPX which has been adapted to work with the MPD classes.

#pragma once

#include "CMPDPanelSelectControl.h"
#include "GrayCouncilPP.h"

//===========================================================================
// class CMPDGrayCouncilTabs
//===========================================================================
class CMPDGrayCouncilTabs : public AGATabPanelPPX, 
										public CMPDPanelSelectControl
{
public:
	enum				{ class_ID = 'MPD1' };

	static CMPDGrayCouncilTabs* 
						CreateFromStream(LStream* inStream);

						CMPDGrayCouncilTabs(LStream* inStream);
	virtual 			~CMPDGrayCouncilTabs();

	// AGATabPanelPPX overides
	virtual void	SetValue(SInt32 inValue);

	// CMPDPanelSelectControl overides
	virtual void	InsertPanelIDs(MPDPtr inPanelIDData);

	virtual void	SelectPanelID(PanelIDIndexT inPanelID);
	
	virtual void 	ReportPanelIDChanged(void);
	
protected:
	// CMPDPanelSelectControl overides
	virtual PanelIDIndexT	
						GetCurrentPanelID(void) const;

	// The normal AGATabPanel also handles switching panels in and out. 
	// I want the MPD framework to handle this so I'm short circuiting
	// the base class' handling. I just want it to draw the tabs.
	virtual void	CreateContainerView() { };
	virtual void	AddPanel(ResIDT panelResourceID, StringPtr tabLabel) { };
	virtual void	InstallPanel(SInt32 tabIndex, ResIDT panelResourceID,
											StringPtr tabLabel);
	virtual LView*	GetPanelView(SInt32 tabIndex) { return nil; };
	virtual Boolean	
						ValidatePanel(SInt32 currentTabIndex) { return true; };

	virtual void	SwitchPanelOut() { };
	virtual void	SwitchPanelIn(SInt32 newTabIndex) { };
};

//===========================================================================
// class CMPDSmallGrayCouncilTabs
//===========================================================================
// a subclass which forces the tabs to be small
class CMPDSmallGrayCouncilTabs : public CMPDGrayCouncilTabs
{
public:
	enum				{ class_ID = 'MPD2' };

	static CMPDSmallGrayCouncilTabs* 
						CreateFromStream(LStream* inStream);

						CMPDSmallGrayCouncilTabs(LStream* inStream);
	virtual 			~CMPDSmallGrayCouncilTabs();
	
protected:
	// AGATabPanel overides
	virtual void	CreateAGAObject();
};

