// ===========================================================================
//	File:						CMPDPanel.h
// Version:					1.0 - Feb 1, 1996
//	Author:					Mike Shields (mshields@inconnect.com)
//							
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//
// Abstract base class for a view which is included as needed by 
// your typical multipane dialog

#pragma once

#include <LView.h>

class CMPDPanel : public LView
{
public:
							CMPDPanel() { }
							CMPDPanel(const CMPDPanel &inOriginal) 
								: LView(inOriginal) { }
							CMPDPanel(const SPaneInfo &inPaneInfo, const SViewInfo &inViewInfo) 
								: LView(inPaneInfo, inViewInfo) { }
							CMPDPanel(LStream *inStream) 
								: LView(inStream) { }
	virtual				~CMPDPanel() { }
	
	// Subclasses must overide this function to replace the data contained in the handle
	// passed in with the data currently displayted in the panel
	virtual void		GetData(Handle inDataToReplace) = 0;
	
	// Subclasses must overide this function to take the data contained in the handle
	// passed in and display it in the panel.
	virtual void		SetData(Handle inData) = 0;
	
	// Subclasses can overide this function to perform validation on the data displayed in
	// the panel and report any discrepancies to the calling function.
	virtual Boolean	ValidatePanel(void) { return true; };
	virtual Boolean	WantDefaultsButton(void) const { return true; };
	virtual Boolean	WantRevertButton(void) const { return true; };
};
