// Header for CHelpAttach class

#pragma once

#include <LAttachment.h>

// Consts

// Panes

// Messages

const MessageT	msg_ShowHelp = 0x4000;

// Resources
 
// Classes

class LPane;

class CHelpAttach : public LAttachment {

protected:
	Boolean			mHasBalloonHelp;			// Flag for Gestalt
	short			mStrId;						// Id for STR# rsrc
	short			mIndex;						// Index for balloon help text
	short			mCurrentIndex;				// Index of current balloon
	static LPane*	sHelpPane;					// Last help pane

public:
	enum { class_ID = 'Help' };
	static	CHelpAttach*	CreateHelpAttachStream(LStream *inStream);
	
					CHelpAttach(short strId, short index);
					CHelpAttach(LStream *inStream);
	
protected:
	virtual void	ExecuteSelf(MessageT inMessage, void *ioParam);					// Show help balloon
	virtual	void	FillHMRecord(HMMessageRecord &theHelpMsg, void *ioParam);		// Fill in the HMMessageRecord
	virtual Boolean	SameBalloon(void *ioParam);										// Will display same balloon?

};

class CHelpPaneAttach : public CHelpAttach {

protected:
	short			mEnabledIndex;					// Index for enabled pane balloon help text
	short			mDisabledIndex;					// Index for disabled pane balloon help text

public:
	enum { class_ID = 'PHlp' };
	static	CHelpPaneAttach*	CreateHelpPaneAttachStream(LStream *inStream);
	
					CHelpPaneAttach(short strId, short index_enabled, short index_disabled);
					CHelpPaneAttach(LStream *inStream);
	
protected:
	virtual	void	FillHMRecord(HMMessageRecord &theHelpMsg, void *ioParam);		// Fill in the HMMessageRecord

};
class CHelpControlAttach : public CHelpAttach {

protected:
	short			mEnabledOnIndex;				// Index of balloon help text for enabled control on
	short			mEnabledOffIndex;				// Index of balloon help text for enabled control off
	short			mDisabledIndex;					// Index of balloon help text for disabled control

public:
	enum { class_ID = 'CHlp' };
	static	CHelpControlAttach*	CreateHelpControlAttachStream(LStream *inStream);
	
					CHelpControlAttach(short strId, short index_enabled_on, short index_enabled_off, short index_disabled);
					CHelpControlAttach(LStream *inStream);
	
protected:
	virtual	void	FillHMRecord(HMMessageRecord &theHelpMsg, void *ioParam);		// Fill in the HMMessageRecord

};